package com.jpattern.orm;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.jpattern.orm.test.EmployeeTest;
import com.jpattern.orm.test.crud.OrmCRUDQueryGeneratorTest;
import com.jpattern.orm.test.dialect.DetermineDBTypeTest;
import com.jpattern.orm.test.exception.ConstraintViolationExceptionTest;
import com.jpattern.orm.test.mapper.ClassMapperGeneratorTest;
import com.jpattern.orm.test.query.PlainSqlExecutorsRowReaderTest;
import com.jpattern.orm.test.session.CustomQueryResultSetReaderTest;
import com.jpattern.orm.test.session.DataSourceConnectionTest;
import com.jpattern.orm.test.transaction.EmployeeTransactionTest;
import com.jpattern.orm.test.transaction.TransactionCallbackTest;

/**
 * 
 * @author Francesco Cina
 * 
 *         20/mag/2011
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({

	ClassMapperGeneratorTest.class,
	ConstraintViolationExceptionTest.class,
	DataSourceConnectionTest.class,
	DetermineDBTypeTest.class,
	EmployeeTest.class,
	EmployeeTransactionTest.class,
	OrmCRUDQueryGeneratorTest.class,
	PlainSqlExecutorsRowReaderTest.class,
	CustomQueryResultSetReaderTest.class,
	TransactionCallbackTest.class

})
public class ComplianceAllDBTests {

}
